### Virtual Method

# Ide DiagnosticTool create_launcher

#### Declaration

    IdeSubprocessLauncher*
    create_launcher (
      IdeDiagnosticTool* self,
      const char* program_name,
      GError** error
    )

#### Description

No description available.

#### Parameters

`program_name` | `const char*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `IdeSubprocessLauncher`
| No description available.
| The data is owned by the called function.